%global         package_version 2.5.0
%global         ovirt_hosted_engine_setup_templates %{_datadir}/%{name}/templates
%global         ovirt_hosted_engine_setup_scripts %{_datadir}/%{name}/scripts
%global         vdsmhooksdir %{_libexecdir}/vdsm/hooks
%global         python_interpreter %{__python3}
%global         python_target_version python3
%global         python_sitelib %{python3_sitelib}

Name:           ovirt-hosted-engine-setup
Version:        2.5.0
Release:        2
Summary:        oVirt Hosted Engine setup tool
License:        LGPLv2+
URL:            http://www.ovirt.org
Source:         http://resources.ovirt.org/pub/src/%{name}/%{name}-%{package_version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  gettext >= 0.18.2

Requires:       python3
Requires:       %{python_target_version}-ethtool >= 0.6-3
Requires:       %{python_target_version}-ovirt-engine-sdk4 >= 4.3.1
Requires:       %{python_target_version}-sanlock
Requires:       %{python_target_version}-libselinux
Requires:       %{python_target_version}-dateutil
Requires:       %{python_target_version}-netaddr
Requires:       %{python_target_version}-otopi >= 1.9.0
Requires:       %{python_target_version}-ovirt-setup-lib >= 1.3.0
Requires:       %{python_target_version}-six
Requires:       bind-utils
Requires:       genisoimage
Requires:       lsof
Requires:       openssh-server
Requires:       openssl
Requires:       sanlock >= 2.8
Requires:       sudo
Requires:       libvirt-client
Requires:       virt-install
Requires:       ansible
Requires:       libvirt-daemon-config-network
Requires:       qemu-img
Requires:       ovirt-hosted-engine-ha >= 2.4
Requires:       glusterfs-cli >= 5.6
Requires:       vdsm-python >= 4.40.0
Requires(post): vdsm-python >= 4.40.0
Requires:       ovirt-host >= 4.4.0
Requires:       ovirt-ansible-hosted-engine-setup >= 1.0.34
Requires:       ovirt-ansible-engine-setup >= 1.1.9

Conflicts:      ovirt-engine-appliance < 4.4
Conflicts:      ovirt-engine-appliance >= 4.5

%description
Hosted Engine setup tool for oVirt project.

%prep
%setup -q -n %{name}-%{package_version}

%build
export PYTHON=python3
%configure \
        --docdir="%{_docdir}/%{name}-%{version}" \
        --disable-python-syntax-check \
        %{?conf}
make %{?_smp_mflags}

%check
make test

%install
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc readme.appliance
%doc readme.rollback
%dir %{_sysconfdir}/ovirt-hosted-engine-setup.env.d
%dir %{_sysconfdir}/ovirt-hosted-engine
%ghost %attr(600, root, root) %{_sysconfdir}/ovirt-hosted-engine/virsh_auth.conf
%dir %attr(700, root, root) %{_localstatedir}/log/ovirt-hosted-engine-setup
%dir %{_localstatedir}/lib/ovirt-hosted-engine-setup
%dir %{_localstatedir}/lib/ovirt-hosted-engine-setup/answers
%{_sbindir}/hosted-engine
%{_sbindir}/ovirt-hosted-engine-setup
%{_sbindir}/ovirt-hosted-engine-cleanup
%{python_sitelib}/ovirt_hosted_engine_setup/
%{_datadir}/%{name}/
%{_mandir}/man8/*

%{vdsmhooksdir}/before_vm_start/

%post
touch %{_sysconfdir}/ovirt-hosted-engine/virsh_auth.conf
chmod 600 %{_sysconfdir}/ovirt-hosted-engine/virsh_auth.conf
%{python_interpreter} -c '
from vdsm.tool.configurators import passwd
print((
    "[credentials-vdsm]\n"
    "authname={authname}\n"
    "password={password}\n\n"
    "[auth-libvirt-localhost]\n"
    "credentials=vdsm\n"
).format(
    authname=passwd.SASL_USERNAME,
    password=passwd.libvirt_password(),
))
' > %{_sysconfdir}/ovirt-hosted-engine/virsh_auth.conf

%changelog
* Thu Mar 02 2023 wangdi <wangdi@kylinos.cn> - 2.5.0-2
- change requires from ansible-2.9 to ansible

* Fri Sep 24 2021 wutao <wutao61@huawei.com> - 2.5.0-1
- update to 2.5.0

* Wed Sep 22 2021 wutao <wutao61@huawei.com> - 2.4.5-3
- change requires from ansible to ansible-2.9

* Thu Sep 16 2021 wangyue <wangyue92@huawei.com> - 2.4.5-2
- fix build error

* Wed Sep 15 2021 wutao <wutao61@huawei.com> - 2.4.5-1
- Package init
